.de EX		\"Begin example
.ne 5
.if n .sp 1
.if t .sp .5
.nf
.in +.5i
..
.de EE
.fi
.in -.5i
.if n .sp 1
.if t .sp .5
..
.TH XScreenSaver 1 "28-Oct-98" "X Version 11"
.SH NAME
bsod - Blue Screen of Death emulator
.SH SYNOPSIS
.B bsod
[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP]
[\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install]
[\-visual \fIvisual\fP] [\-delay \fIseconds\fP]
.SH DESCRIPTION
The
.I bsod
program is the finest in personal computer emulation.  
.PP
.I bsod
steps through a set of screens, each one a recreation of a different failure
mode of an operating system.  Systems depicted include Microsoft's Windows 95
and Windows NT, Commodore-Amiga's AmigaDOS 1.3, SPARC Linux, SCO UNIX, the
Apple Macintosh (both the MacsBug debugger and the rarer "Sad Mac"), and the
Atari ST.
.PP
.SH OPTIONS
.I bsod
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-delay \fIdelay\fP
The delay between displaying one crash and another.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH X RESOURCES
Notable X resources supported include the following, which control which
hacks are displayed and which aren't.
.BR doWindows ,
.BR doNT ,
.BR doAmiga ,
.BR doMac ,
.BR doMacsBug ,
.BR doSCO ,
.BR doAtari ,
.BR doBlitDamage ,
.BR doSparcLinux ,
and
.BR doSSolaris .
Each of these is a Boolean resource, they all default to true, except for
doSparcLinux and doAtari, which are turned off by default, because they're
really not all that interesting looking unless you're a fan of those systems.
There aren't command-line options for these, so to change them, you'll need
to add entries to your .Xdefaults file, or use the -xrm option.
For example, to tell bsod not to show the NT crash:
.EX
bsod -xrm '*doNT: false'
.EE
.SH BUGS
Unlike the systems that the images are borrowed from,
.I bsod
does not require a reboot after running.
.PP
.I bsod
should also emulate more systems, but systems with interesting crash
graphics are not as common as one might hope.

One I'd really like to see is a Unix system getting a kernel panic, 
rebooting, and running
.BR fsck (8).
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1),
.BR http://www.microsoft.com/ ,
.BR http://www.apple.com/ ,
and
.BR http://www.sco.com/ ,
.BR http://www.kernel.org/ ,
and
.BR http://www.amiga.de/ .
.SH TRADEMARKS
Microsoft Windows, Microsoft Windows 95, and Microsoft Windows NT are all
registered trademarks of Microsoft Corporation.  Apple Macintosh is a
registered trademark of Apple Computer.  Amiga is a registered trademark of
Amiga International, Inc.  Atari ST is probably a trademark, too, but it's
hard to tell who owns it. Linux is a registered trademark of Linus Torvalds,
but it isn't his fault.
.SH COPYRIGHT
Copyright \(co 1998 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.  No animals were harmed during the testing of
these simulations.  Always mount a scratch monkey.
.SH AUTHOR
Concept cribbed from Stephen Martin <smartin@mks.com>.  This version is by
Jamie Zawinski <jwz@jwz.org>.
