.TH XScreenSaver 1 "July 2000"
.SH NAME
gflux \- rippling surface graphics hack
.SH SYNOPSIS
.B gflux
[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
[\-visual \fIvisual\fP] [\-delay \fImicroseconds\fP] [\-fps]
[\-squares \fInum\fP] [\-resolution \fInum\fP] [\-draw \fInum\fP]
[\-flat \fInum\fP] [\-speed \fInum\fP]
[\-rotationx \fInum\fP] [\-rotationy \fInum\fP] [\-rotationz \fInum\fP]
[\-waves \fInum\fP] [\-waveChange \fInum\fP] [\-waveHeight \fInum\fP]
[\-waveFreq \fInum\fP] [\-zoom \fInum\fP]
.SH DESCRIPTION
The \fIgflux\fP program draws a colourfull animated rippling square rotating in 3D space.
.SH OPTIONS
.I gflux
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-squares \fInum\fP\fP
Specifies the size of the grid in squares. default 19
.TP 8
.B \-resolution \fInum\fP\fP
Specifies the wireframe detail of the squares. default 4
.TP 8
.B \-draw \fInum\fP\fP
Specifies the draw method. 0 = wireframe, 1 = solid, 2 = light (default), 3 = checker texture mapped, 4 = PNM image is read from stdin and mapped to the surface
.TP 8
.B \-flat \fInum\fP\fP
0 for smooth shading 1 for flat. default 0
.TP 8
.B \-speed \fInum\fP\fP
Specifies speed of ripples flowing over the surface. default 0.05
.TP 8
.B \-rotationx \fInum\fP \-rotationy \fInum\fP \-rotationz \fInum\fP\fP
Specifies the speed of rotation of the surface in these axis 
.TP 8
.B \-waves \fInum\fP\fP
Specifies the number of ripple centres at any one time.  Values should be greater than 1.  default 3
.TP 8
.B \-waveChange \fInum\fP\fP
Specifies the duration of a ripple centre.  after this they fade away to be reborn elsewhere with a different frequency. default 50
.TP 8
.B \-waveHeight \fInum\fP\fP
Specifies the height of ripples on the surface. default 1.0
.TP 8
.B \-waveFreq \fInum\fP\fP
Specifies the maximum frequency of ripples. default 3.0
.TP 8
.B \-zoom \fInum\fP\fP
Specifies the size of the viewport. Smaller values fill the screen with rippling surface. default 1.0
.TP 8
.B \-delay \fImicroseconds\fP
How long to pause between frames.  Default is 20000, or 0.02 second.
.TP 8
.B \-fps
Display a running tally of how many frames per second are being rendered.
In conjunction with \fB\-delay 0\fP, this can be a useful benchmark of 
your GL performance.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH BUGS
It's not unknown for this and other OpenGL hacks to fail under hardware accelaration (UtahGLX) and take the X server with them.  Texture images must be 16x16 or 32x32 or 64x64 etc.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2000 by Josiah Pease.  Permission to use, copy, modify,
distribute, and sell this software and its documentation for any purpose is
hereby granted without fee, provided that the above copyright notice appear
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Josiah Pease <gflux@jpease.force9.co.uk>, 10-Jun-2000.
 
