.TH XScreenSaver 1 "13-aug-92" "X Version 11"
.SH NAME
rorschach - simulate ink-blot patterns
.SH SYNOPSIS
.B rorschach
[\-display \fIhost:display.screen\fP] [\-foreground \fIcolor\fP] [\-background \fIcolor\fP] [\-window] [\-root] [\-mono] [\-install] [\-visual \fIvisual\fP] [\-iterations \fIinteger\fP] [\-offset \fIinteger\fP] [\-xsymmetry] [\-ysymmetry] [\-erase\-mode \fIinteger\fP] [\-erase\-speed \fIusecs\fP] [\-delay \fIsecs\fP]
.SH DESCRIPTION
The \fIrorschach\fP program draws random patterns reminiscent of the
psychological test of same name.
.SH OPTIONS
.I rorschach
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-iterations \fIinteger\fP
How many dots should be drawn each time.  Default 4000.
.TP 8
.B \-offset \fIinteger\fP
How far apart the dots should be.  Default 4 pixels.
.TP 8
.B \-xsymmetry
Whether the images should be horizontally symmetrical.  Default true.
.TP 8
.B \-ysymmetry
Whether the images should be vertically symmetrical.  Default false.
.TP 8
.B \-erase\-mode \fIinteger\fP
This sets the erase mode. Mode \-1 chooses a random mode each time. There
are currently 6 modes defined (0\-5).
.TP 8
.B \-erase\-speed \fIusecs\fP
This controls the speed at which the screen will be erased. (Delay between
erasing of individual lines.)
.TP 8
.B \-delay \fIseconds\fP
This sets the number of seconds that the figure will be on the screen.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH BUGS
May call your sanity into question.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 1992 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@jwz.org>, 13-aug-92.
