.TH XScreenSaver 1 "30-Oct-99" "X Version 11"
.SH NAME
xmatrix - simulates the computer displays from the movie
.SH SYNOPSIS
.B xmatrix
[\-display \fIhost:display.screen\fP] [\-window] [\-root] [\-install]
[\-visual \fIvisual\fP] 
[\-delay \fIusecs\fP] 
[\-density \fIpercentage\fP]
[\-top | \-bottom | \-both]
[\-small | \-large]
[\-trace]
[\-phone \fInumber\fP]
.SH DESCRIPTION
The \fIxmatrix\fP program draws dropping characters similar to the
displays in the Wachowski brothers' film, "The Matrix".
.SH OPTIONS
.I xmatrix
accepts the following options:
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-install
Install a private colormap for the window.
.TP 8
.B \-visual \fIvisual\fP\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-delay \fIusecs\fP
The delay between steps of the animation, in microseconds: default 10000.
.TP 8
.B \-density \fIpercentage\fP
The approximate percentage of the screen that should be filled with 
characters at any given time.  Default 75%.
.TP 8
.B \-top\fP | \fB\-bottom\fP | \fB\-both
If \fB\-top\fP is specified, the characters will only drop in from the
top of the screen as sliding columns of characters.  If \fB\-bottom\fP
is specified, then instead of sliding columns, the characters will appear
as columns that grow downwards and are erased from above.  If \fB\-both\fP
is specified, then a mixture of both styles will be used.  The default
is \fB\-both\fP.
.TP 8
.B \-small\fP | \fB\-large
These options specify the sizes of the characters.  The default
is \fB\-large\fP.

.TP 8
.B \-trace
Start off with a representation of a phone number being traced.  
When the number is finally found, display The Matrix as usual.
.TP 8
.B \-phone\fP \fInumber\fP
The phone number to trace, if \fB\-trace\fP is specified.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 1999 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski <jwz@jwz.org>, 25-Apr-99.
